View Issue Details

IDProjectCategoryView StatusLast Update
0002770Ham Radio DeluxeBugpublic2018-06-17 11:10
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.843 
Target VersionFixed in Version6.4.0.846 
Summary0002770: Setup: sometimes complains services already exist
DescriptionSetup will post a message that says "the specified service already exists", either with this information:

HRD RemoteSvr, HRD Remote Server, Implements remote access to an attached radio via Ham Radio Deluxe.

or with this message:

HRD SerialPortSvr, HRD Serial Port Server, Implements remote network acess to a serial port on this computer in order to control an attached radio with Ham Radio Deluxe.

The use has to click "no" to get setup to safely proceed.

Steps To Reproduce1) Uninstall HRD
2) Run Setup for version 842. No need to run the product
3) Run Setup for Version 843 without uninstalling 842.

BUG#1) Messages as above appear. Probably have to click through some other warnings first.

It's possible that there are other repro cases; we've heard complaints from customers who don't appear to be following these specific repro steps, but are encountering these error messages.

TagsNo tags attached.
ModuleAll
Sub-ModuleInstall
TestingNot Started

Relationships

Activities

K7ZCZ

2018-06-14 22:14

manager   ~0005333

fixed with this checkin
https://hrdsoftware.visualstudio.com/web/cs.aspx?pcguid=024933d8-393e-4d7b-806f-280bdbd42f73&cs=4145

g3ucq

2018-06-16 06:15

viewer   ~0005348

During installation I got the message as below so not fixed for me.

Capture.JPG (33,114 bytes)
Capture.JPG (33,114 bytes)

WA9PIE

2018-06-17 11:10

administrator   ~0005350

These items were validated by beta testers and users who had reported these problems.

Issue History

Date Modified Username Field Change
2018-06-14 19:15 K7ZCZ New Issue
2018-06-14 22:14 K7ZCZ Assigned To => K7ZCZ
2018-06-14 22:14 K7ZCZ Status new => resolved
2018-06-14 22:14 K7ZCZ Resolution open => fixed
2018-06-14 22:14 K7ZCZ Note Added: 0005333
2018-06-15 18:32 WA9PIE Fixed in Version => 6.4.0.845
2018-06-15 18:32 WA9PIE Description Updated View Revisions
2018-06-15 18:32 WA9PIE Steps to Reproduce Updated View Revisions
2018-06-16 06:15 g3ucq File Added: Capture.JPG
2018-06-16 06:15 g3ucq Note Added: 0005348
2018-06-17 11:09 WA9PIE Fixed in Version 6.4.0.845 => 6.4.0.846
2018-06-17 11:10 WA9PIE Note Added: 0005350
2018-06-17 11:10 WA9PIE Status resolved => closed
2018-06-17 11:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe